perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Geoffrey Young <ge...@modperlcookbook.org>
Subject Re: svn commit: r480890 - in /perl/modperl/trunk: Changes src/modules/perl/mod_perl.c src/modules/perl/modperl_interp.h
Date Thu, 30 Nov 2006 13:44:12 GMT

> +    /* PERL_SYS_TERM() needs 'my_perl' as of 5.9.5 */
> +#ifdef USE_ITHREADS
> +# if PERL_REVISION == 5 && \
> +  ((PERL_VERSION == 9 && PERL_SUBVERSION > 4) || \
> +   PERL_VERSION > 9)
> +    modperl_cleanup_data_t *cdata = (modperl_cleanup_data_t *)data;
> +    PerlInterpreter *my_perl = (PerlInterpreter *)cdata->data;
> +# endif
> +#endif

I feel like I've seen this snippet before.

can this be made into a more generally useful macro for the other places
we need specific versions of perl?

--Geoff

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message